Bug 471582 - visual bell and disable audio bell options have regressed; are difficult to find; buggy; etc.
visual bell and disable audio bell options have regressed; are difficult to f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 08:43 EST by Luis Villa
Modified: 2009-12-18 01:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:51:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 474053 None None None Never

  None (edit)
Description Luis Villa 2008-11-14 08:43:15 EST
I just upgraded from F9 to F10-preview using preupgrade. After the upgrade, my visual bell went away and annoying system beeps came back. The tab that used to control this option in control-center is also gone.

I'm still using metacity, but I think the upgrade switched me to pulse-audio; a bug upstream suggests that may be the problem: http://bugzilla.gnome.org/show_bug.cgi?id=474053

Maybe this should be under metacity or pulse-audio? not sure, unfortunately. Either way the damn beeping makes me stabby-stabby. ;)
Comment 1 Ray Strode [halfline] 2008-11-14 10:34:22 EST
I think it's just exposed in a different way now.

If I run gnome-sound-properties and then click on the "Sounds" tab I see

"Visual alert" in the list of choices.   Does playing with it, give you what you're looking for?
Comment 2 Luis Villa 2008-11-14 10:46:32 EST
I can only get to that visual alert by turning on 'play alerts and sound effects.' So I have to turn on all the other sound effects to turn on visual alert (originally included to help the deaf)? That's... non-intuitive. 

(And also I have to toggle 'play alert sound' from off to on back to off again; but I assume that is just an artifact of the upgrade.)
Comment 3 Ray Strode [halfline] 2008-11-14 11:03:13 EST
As a work around i guess you could manually disable them.

Bastien, was this new dialog your baby?
Comment 4 Bug Zapper 2008-11-26 00:22:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Davide Repetto 2008-12-13 10:03:03 EST
I have a different problem that appears to be related to this one.
No matter what you select in the Control Center. In F10 the "system alert sound" is always a BEEP through the internal PC speaker.
Moreover it seems there is no "pc speaker" option anymore.
Comment 6 Luis Villa 2008-12-18 09:26:39 EST
Note that this seems to spontaneously revert at times; as in, I had previously turned it off but now it is back again. 

Retitling. (And yes, I know this bug now should be broken out into a number of smaller bugs, but I'm busy and I'm frankly irritated that I'm hearing this fucking noise all the time so I'm a little cranky. Sorry... I'll try to fix it when I have time in January.)
Comment 7 Bastien Nocera 2008-12-18 09:51:10 EST
(In reply to comment #6)
> Note that this seems to spontaneously revert at times; as in, I had previously
> turned it off but now it is back again. 
> 
> Retitling. (And yes, I know this bug now should be broken out into a number of
> smaller bugs, but I'm busy and I'm frankly irritated that I'm hearing this
> fucking noise all the time so I'm a little cranky. Sorry... I'll try to fix it
> when I have time in January.)

# rmmod pcspkr
# echo "blacklist pcspkr" >> /etc/modprobe.d/blacklist

We also need to add some code to completely disable the audio alert (in /apps/metacity/general/audible_bell) when sound events are disabled. Or make it possible to change it independently of that setting (whichever might make more sense).
Comment 8 Sarantis Paskalis 2009-01-23 06:19:25 EST
Maybe offtopic (because it is not really Gnome-related)

edit /etc/inputrc to read
set bell-style none (or "set bell-style visible" for visible alerts)
for system-wide configuration

~/.inputrc for single user configuration

This solution works for ssh sessions as well (.inputrc on the target machine)
Comment 9 Mads Kiilerich 2009-02-09 14:12:50 EST
For the record, I notice that in the control center GUI:

1. Even though "play alert sound" is visually grouped below the "play alerts and sound effects" checkbox it is always is enabled and works just fine (for me).

2. "Visual alert" always applies (for me), but can only be edited when "play alerts and sound effects" is checked.

So I think the functionality is fine and the GUI is nice ... but the GUI unfortunately is too nice and doesn't match the functionality.

(((And I had to adjust this because "flash screen" comes too much in the way and is too slow.)))
Comment 10 vaxon 2009-04-10 13:16:36 EDT
The /etc/inputrc solution doesn't work for me in text mode and for ssh sessions.
The shell still beeps in text mode and in ssh sessions even if I set bell-style none.

Thanks,
Vax.
Comment 11 Stefan Assmann 2009-06-15 07:17:06 EDT
Not able to silence the internal speaker of my Lenovo T500 except for rmmod pcspkr but that's not a real solution.

Going to System -> Preferences -> Sound selecting Sound Theme "no sounds" didn't help. Neither does changing Alert Volume slider or enabling the "Mute checkbox" next to it.

Inserting "set bell-style visual" or "set bell-style none" into /etc/inputrc didn't show any effect either.

This is on F11!
Comment 12 Seppo Yli-Olli 2009-09-27 12:56:21 EDT
Still happens (In reply to comment #5)
> I have a different problem that appears to be related to this one.
> No matter what you select in the Control Center. In F10 the "system alert
> sound" is always a BEEP through the internal PC speaker.
> Moreover it seems there is no "pc speaker" option anymore.  
I'm having same behaviour except that the system is doing it on sound card instead, probably because I've physically detached pc speaker... Means that every single error that causes a beep causes audio playback to halt until the beeping stops. *Really* annoying.
This is on Rawhide that's going to become Fedora 12.
Comment 13 Bug Zapper 2009-11-18 03:51:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:51:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.